// Definio da classe ClientData utilizada nas Figs. 17.12-17.15.
#ifndef CLIENTDATA_H
#define CLIENTDATA_H

#include <string>
using namespace std;

class ClientData 
{
public:
   // construtor ClientData padro
   ClientData( int = 0, string = "", string = "", double = 0.0 );

   // funes de acesso para accountNumber
   void setAccountNumber( int );
   int getAccountNumber() const;

   // funes de acesso para lastName
   void setLastName( string );
   string getLastName() const;

   // funes de acesso para firstName
   void setFirstName( string );
   string getFirstName() const;

   // funes de acesso para balance
   void setBalance( double );
   double getBalance() const;
private:
   int accountNumber;
   char lastName[ 15 ];
   char firstName[ 10 ];
   double balance;
}; // fim da classe ClientData

#endif


